%define major 0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

%define tomoe_version 0.6.0

Summary:	Tomoe-gtk for handwriting recognition
Name:		tomoe-gtk
Version:	0.6.0
Release:	15
License:	LGPLv2+
Group:		System/Internationalization
Url:		http://tomoe.sourceforge.jp/
Source0:	http://ovh.dl.sourceforge.net/sourceforge/tomoe/%{name}-%{version}.tar.gz
Patch0:		tomoe-gtk-0.6.0-underlink.patch
BuildRequires:	gtk-doc
BuildRequires:	tomoe >= %{tomoe_version}
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(pygobject-2.0)
BuildRequires:	pkgconfig(pygtk-2.0)
BuildRequires:	pkgconfig(tomoe) >= %{tomoe_version}
Conflicts:	%{_lib}tomoe-gtk0 < 0.6.0-15

%description
Tomoe-gtk handwriting recognition.

%files -f %{name}.lang
%{_datadir}/tomoe-gtk/*.png

#----------------------------------------------------------------------------

%package python
Summary:	Python binding of Tomoe-gtk
Group:		System/Internationalization
Requires:	%{libname} = %{EVRD}

%description python
Python binding of Tomoe-gtk.

%files python
%{python_sitearch}/gtk-2.0/*.so

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Tomoe-gtk library
Group:		System/Libraries
Requires:	%{name}

%description -n %{libname}
Tomoe-gtk library.

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Headers of %{name} for development.

%files -n %{devname}
%doc AUTHORS ChangeLog README TODO
%doc doc/reference/html/*
%{_includedir}/tomoe/gtk/*.h
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1 -b .underlink

%build
# force to regenerate configure
./autogen.sh

%configure2_5x \
	--disable-static \
	--without-gucharmap
%make CFLAGS="%{optflags}"

%install
%makeinstall_std

# remove docs for sigscheme (they should be installed by %doc)
rm -rf %{buildroot}%{_datadir}/gtk-doc/

%find_lang %{name}


%changelog

* Mon May 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.6.0-15
- (b6533b0) Move noarch files from library to main package
- (b6533b0) Build with system optflags
- (b6533b0) Spec cleanup


